> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agregar etiquetas a la sesión

> Adjuntar etiquetas a una sesión (elimina duplicados con las etiquetas existentes).

<Note>
  El `devin_id` es el identificador de la sesión con el prefijo `devin-` (por ejemplo, `devin-abc123`).
</Note>


## OpenAPI

````yaml es/v3-openapi.yaml POST /v3/organizations/{org_id}/sessions/{devin_id}/tags
openapi: 3.1.0
info:
  description: API de Devin v3 con autenticación mediante usuario de servicio y RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/sessions/{devin_id}/tags:
    post:
      tags:
        - sessions
      summary: Agregar etiquetas a la sesión
      description: >-
        Adjuntar etiquetas a una sesión (elimina duplicados con las etiquetas
        existentes).
      operationId: >-
        handle_append_session_tags_v3_organizations__org_id__sessions__devin_id__tags_post
      parameters:
        - description: 'ID de la organización (prefijo: org-)'
          in: path
          name: org_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: org-abc123def456
            title: Org Id
        - description: 'ID de sesión de Devin (prefijo: devin-)'
          in: path
          name: devin_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: devin-abc123def456
            title: Devin Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SessionTagsUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionTagsResponse'
          description: Respuesta correcta
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
components:
  schemas:
    SessionTagsUpdateRequest:
      properties:
        tags:
          items:
            type: string
          maxItems: 50
          title: Tags
          type: array
      required:
        - tags
      title: SessionTagsUpdateRequest
      type: object
    SessionTagsResponse:
      properties:
        tags:
          items:
            type: string
          title: Tags
          type: array
      required:
        - tags
      title: SessionTagsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credencial de usuario de servicio (prefijo: cog_)'
      scheme: bearer
      type: http

````